<?php
abstract class Core_Doctrine_Record extends Doctrine_Record implements Core_Security_Resource_Interface
{
    public function getContentType()
    {
        return array(
            'name' => strtolower(get_class($this))
        );
    }

    public function getSecurityResource()
    {
        return 'model:'. strtolower($this->getTable()->getComponentName());
    }
}
